<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS/include/AVSCommon/AVS/ExceptionErrorType.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a></li><li class="navelem"><a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">ExceptionErrorType.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for ExceptionErrorType.h:</div>
<div class="dyncontent">
<div class="center"><img src="_exception_error_type_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_exception_error_type_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_exception_error_type_8h" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_exception_error_type_8h">
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_exception_error_type_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_exception_error_type_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_exception_error_type_8hdep" id="_2workplace_2avs-device-sdk_2_a_v_s_common_2_a_v_s_2include_2_a_v_s_common_2_a_v_s_2_exception_error_type_8hdep">
<area shape="rect" id="node2" href="_directive_processor_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/src/DirectiveProcessor.cpp" alt="" coords="5,119,252,157"/>
<area shape="rect" id="node3" href="_directive_sequencer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/src/DirectiveSequencer.cpp" alt="" coords="215,472,466,511"/>
<area shape="rect" id="node4" href="_exception_encountered_sender_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/include\l/AVSCommon/AVS/ExceptionEncountered\lSender.h" alt="" coords="677,219,949,284"/>
<area shape="rect" id="node11" href="_exception_encountered_sender_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/ExceptionEncounteredSenderInterface.h" alt="" coords="2024,105,2289,171"/>
<area shape="rect" id="node31" href="_bluetooth_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/include/Bluetooth\l/Bluetooth.h" alt="" coords="5739,339,5926,404"/>
<area shape="rect" id="node33" href="_do_not_disturb_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/DoNotDisturb/include\l/DoNotDisturbCA/DoNotDisturbCapability\lAgent.h" alt="" coords="5449,332,5715,411"/>
<area shape="rect" id="node36" href="_equalizer_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Equalizer/include/Equalizer\l/EqualizerCapabilityAgent.h" alt="" coords="5950,339,6136,404"/>
<area shape="rect" id="node5" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="4044,459,4272,524"/>
<area shape="rect" id="node6" href="_default_client_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/DefaultClient.cpp" alt="" coords="2603,572,2831,624"/>
<area shape="rect" id="node9" href="_exception_encountered_sender_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/ExceptionEncounteredSender.cpp" alt="" coords="326,345,553,397"/>
<area shape="rect" id="node10" href="_exception_encountered_sender_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/test\l/ExceptionEncounteredSenderTest.cpp" alt="" coords="576,345,828,397"/>
<area shape="rect" id="node7" href="_interaction_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="4045,672,4268,724"/>
<area shape="rect" id="node8" href="_keyword_observer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/KeywordObserver.h" alt="" coords="4123,572,4337,624"/>
<area shape="rect" id="node12" href="_directive_sequencer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/include/ADSL\l/DirectiveSequencer.h" alt="" coords="1543,345,1712,397"/>
<area shape="rect" id="node19" href="_alexa_directive_sequencer_library_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlexaDirectiveSequencerLibrary\lTest.cpp" alt="" coords="816,459,1031,524"/>
<area shape="rect" id="node20" href="_audio_input_processor_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AudioInputProcessorIntegration\lTest.cpp" alt="" coords="1283,459,1495,524"/>
<area shape="rect" id="node23" href="_message_interpreter_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/include/ADSL\l/MessageInterpreter.h" alt="" coords="1024,345,1193,397"/>
<area shape="rect" id="node25" href="_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/include\l/AVSCommon/AVS/CapabilityAgent.h" alt="" coords="3682,225,3925,277"/>
<area shape="rect" id="node28" href="_audio_input_processor_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AIP/include/AIP/AudioInputProcessor.h" alt="" coords="2029,345,2284,397"/>
<area shape="rect" id="node40" href="_m_r_m_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/MRM/include/MRM/MRMCapability\lAgent.h" alt="" coords="5142,339,5374,404"/>
<area shape="rect" id="node43" href="_speech_synthesizer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/SpeechSynthesizer/include\l/SpeechSynthesizer/SpeechSynthesizer.h" alt="" coords="1736,339,2004,404"/>
<area shape="rect" id="node45" href="_revoke_authorization_handler_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/include/System\l/RevokeAuthorizationHandler.h" alt="" coords="2495,339,2701,404"/>
<area shape="rect" id="node46" href="_software_info_sender_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/include/System\l/SoftwareInfoSender.h" alt="" coords="4953,339,5117,404"/>
<area shape="rect" id="node47" href="_user_inactivity_monitor_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/include/System\l/UserInactivityMonitor.h" alt="" coords="2308,339,2472,404"/>
<area shape="rect" id="node48" href="_call_manager_interface_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/include/AVSCommon/SDKInterfaces\l/CallManagerInterface.h" alt="" coords="5114,219,5354,284"/>
<area shape="rect" id="node49" href="_mock_exception_encountered_sender_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/SDKInterfaces\l/test/AVSCommon/SDKInterfaces\l/MockExceptionEncounteredSender.h" alt="" coords="2725,339,2970,404"/>
<area shape="rect" id="node50" href="_test_exception_encountered_sender_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/include\l/Integration/TestExceptionEncountered\lSender.h" alt="" coords="1269,339,1519,404"/>
<area shape="rect" id="node13" href="_directive_sequencer_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/test/DirectiveSequencer\lTest.cpp" alt="" coords="1519,465,1749,517"/>
<area shape="rect" id="node14" href="_message_interpreter_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/test/MessageInterpreter\lTest.cpp" alt="" coords="1773,465,2002,517"/>
<area shape="rect" id="node15" href="_revoke_authorization_handler_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/a4btest/RevokeAuthorization\lHandlerTest.cpp" alt="" coords="2753,459,2997,524"/>
<area shape="rect" id="node16" href="_endpoint_handler_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/test/EndpointHandler\lTest.cpp" alt="" coords="3022,459,3219,524"/>
<area shape="rect" id="node17" href="_user_inactivity_monitor_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/test/UserInactivityMonitor\lTest.cpp" alt="" coords="2456,459,2679,524"/>
<area shape="rect" id="node18" href="_alerts_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlertsIntegrationTest.cpp" alt="" coords="2027,465,2199,517"/>
<area shape="rect" id="node21" href="_audio_player_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AudioPlayerIntegrationTest.cpp" alt="" coords="2222,465,2432,517"/>
<area shape="rect" id="node22" href="_speech_synthesizer_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/SpeechSynthesizerIntegration\lTest.cpp" alt="" coords="1055,459,1258,524"/>
<area shape="rect" id="node24" href="_message_interpreter_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/src/MessageInterpreter.cpp" alt="" coords="490,472,740,511"/>
<area shape="rect" id="node26" href="_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/src\l/CapabilityAgent.cpp" alt="" coords="3713,345,3894,397"/>
<area shape="rect" id="node27" href="_capability_agent_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/AVSCommon/AVS/test\l/CapabilityAgentTest.cpp" alt="" coords="3243,465,3428,517"/>
<area shape="rect" id="node29" href="_alerts_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Alerts/include/Alerts\l/AlertsCapabilityAgent.h" alt="" coords="3232,339,3396,404"/>
<area shape="rect" id="node30" href="_audio_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/AudioPlayer/include/AudioPlayer\l/AudioPlayer.h" alt="" coords="3419,339,3638,404"/>
<area shape="rect" id="node38" href="_external_media_player_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/ExternalMediaPlayer/include\l/ExternalMediaPlayer/ExternalMedia\lPlayer.h" alt="" coords="4693,332,4930,411"/>
<area shape="rect" id="node39" href="_interaction_model_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/InteractionModel/include\l/InteractionModel/InteractionModel\lCapabilityAgent.h" alt="" coords="3918,332,4144,411"/>
<area shape="rect" id="node41" href="_notifications_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Notifications/include\l/Notifications/NotificationsCapability\lAgent.h" alt="" coords="4168,332,4401,411"/>
<area shape="rect" id="node42" href="_speaker_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/SpeakerManager/include\l/SpeakerManager/SpeakerManager.h" alt="" coords="4425,339,4669,404"/>
<area shape="rect" id="node44" href="_endpoint_handler_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/include/System\l/EndpointHandler.h" alt="" coords="3044,339,3208,404"/>
<area shape="rect" id="node32" href="_bluetooth_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Bluetooth/src/Bluetooth.cpp" alt="" coords="5729,465,5917,517"/>
<area shape="rect" id="node34" href="_do_not_disturb_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/DoNotDisturb/src/DoNotDisturb\lCapabilityAgent.cpp" alt="" coords="5477,459,5687,524"/>
<area shape="rect" id="node35" href="_do_not_disturb_capability_agent_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/DoNotDisturb/test/DoNotDisturb\lCapabilityAgentTest.cpp" alt="" coords="4704,459,4918,524"/>
<area shape="rect" id="node37" href="_equalizer_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Equalizer/src/EqualizerCapability\lAgent.cpp" alt="" coords="5941,459,6161,524"/>
</map>
</div>
</div>
<p><a href="_exception_error_type_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1avs"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html">alexaClientSDK::avsCommon::avs</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ae31d62036894f4c57c46d65dee1482fc"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ae31d62036894f4c57c46d65dee1482fc">alexaClientSDK::avsCommon::avs::ExceptionErrorType</a> { <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ae31d62036894f4c57c46d65dee1482fcaba0e29c96a7dc2a0c3c7f3895dcaf79f">alexaClientSDK::avsCommon::avs::ExceptionErrorType::UNEXPECTED_INFORMATION_RECEIVED</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ae31d62036894f4c57c46d65dee1482fca5a2ff7a2f2c3b40268e57995408f8e9d">alexaClientSDK::avsCommon::avs::ExceptionErrorType::UNSUPPORTED_OPERATION</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ae31d62036894f4c57c46d65dee1482fcae8c0c70879b5895c615677261d64a1ee">alexaClientSDK::avsCommon::avs::ExceptionErrorType::INTERNAL_ERROR</a>
 }</td></tr>
<tr class="separator:ae31d62036894f4c57c46d65dee1482fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a7406edde3044e40da6d6980b6161d86c"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a7406edde3044e40da6d6980b6161d86c">alexaClientSDK::avsCommon::avs::operator&lt;&lt;</a> (std::ostream &amp;stream, ExceptionErrorType type)</td></tr>
<tr class="separator:a7406edde3044e40da6d6980b6161d86c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
